require 'minitest/spec'

describe_recipe 'lctp-network::default' do
  it "assign a ip for every device" do
    node.lctp_network.interfaces.keys.each do |interface|
      assert_sh("ifconfig #{interface} | grep -q 'inet addr'")
    end
  end
  it "should be able to resolve dns" do
    assert_sh("host examples.com")
  end
  it "should be able to reach the internet" do
    assert_sh("ping -c 1 examples.com")
  end
end
